
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 订单项-国际化
 *
 * @author YXF
 * @date 2021-05-17 10:26:54
 */
public class OrderItemLang extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单项ID
     */
    private Long orderItemId;

    /**
     * 语言 1.中文 2.英文
     */
    private Integer lang;

    /**
     * 商品名称
     */
    private String spuName;

    /**
     * sku名称
     */
    private String skuName;

    /**
     * 供应商spu名称
     */
    private String supplierSpuName;

    /**
     * 供应商sku名称
     */
    private String supplierSkuName;

    public String getSupplierSpuName() {
        return supplierSpuName;
    }

    public void setSupplierSpuName(String supplierSpuName) {
        this.supplierSpuName = supplierSpuName;
    }

    public String getSupplierSkuName() {
        return supplierSkuName;
    }

    public void setSupplierSkuName(String supplierSkuName) {
        this.supplierSkuName = supplierSkuName;
    }

    public Long getOrderItemId() {
        return orderItemId;
    }

    public void setOrderItemId(Long orderItemId) {
        this.orderItemId = orderItemId;
    }

    public Integer getLang() {
        return lang;
    }

    public void setLang(Integer lang) {
        this.lang = lang;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    @Override
    public String toString() {
        return "OrderItemLang{" +
                "orderItemId=" + orderItemId +
                ", lang=" + lang +
                ", spuName='" + spuName + '\'' +
                ", skuName='" + skuName + '\'' +
                ", supplierSpuName='" + supplierSpuName + '\'' +
                ", supplierSkuName='" + supplierSkuName + '\'' +
                '}';
    }
}
